%define module	xmldiff
%define name	python-%{module}
%define version 0.6.8
%define release %mkrel 6

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Python classes to diff XML files
URL:		    http://www.logilab.org/projects/xmldiff
Source:		    ftp://ftp.logilab.org/pub/xmldiff/%{module}-%{version}.tar.gz
Patch:          %{module}-0.6.8-fix-build.patch
License:	    GPL
Group:		    File tools
BuildRequires:	python-devel

%description
XMLdiff is a python tool that figures out the differences between two similar
XML files, in the same way the diff utility does it for text files. It was
developed for the Narval project and could also be used as a library or as a
command line tool. It can work either with XML files or DOM trees

%files
%doc ChangeLog DEPENDS README README.xmlrev TODO
%{_bindir}/*
%{_datadir}/sgml/stylesheet/%{module}
%{py_platsitedir}/%{module}
%{py_platsitedir}/%{module}-*.egg-info

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%patch -p 1

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{module}/test
chmod 755 %{buildroot}%{_bindir}/*



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.8-6.mga3
+ Revision: 379711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 23 2011 dmorgan <dmorgan> 0.6.8-5.mga2
+ Revision: 112850
- imported package python-xmldiff

